Project

Profile

Help

Issue #7711

pulp_ansible could not determine API version for url with 'api/v2' appended

Added by jdjeffers 6 days ago. Updated 44 minutes ago.

Status:
POST
Priority:
Normal
Assignee:
-
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Platform Release:
OS:
Triaged:
No
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Quarter:

Description

While attempt a pulp_ansible sync operation:

File "/usr/local/lib/pulp/lib64/python3.6/site-packages/rq/worker.py", line 936, in perform_job

          rv = job.perform()
        File "/usr/local/lib/pulp/lib64/python3.6/site-packages/rq/job.py", line 684, in perform
          self._result = self._execute()
        File "/usr/local/lib/pulp/lib64/python3.6/site-packages/rq/job.py", line 690, in _execute
          return self.func(*self.args, **self.kwargs)
        File "/usr/local/lib/pulp/src/pulp-ansible/pulp_ansible/app/tasks/collections.py", line 81, in sync
          d_version.create()
        File "/usr/local/lib/pulp/src/pulpcore/pulpcore/plugin/stages/declarative_version.py", line 148, in create
          loop.run_until_complete(pipeline)
        File "/usr/lib64/python3.6/asyncio/base_events.py", line 484, in run_until_complete
          return future.result()
        File "/usr/local/lib/pulp/src/pulpcore/pulpcore/plugin/stages/api.py", line 225, in create_pipeline
          await asyncio.gather(*futures)
        File "/usr/local/lib/pulp/src/pulpcore/pulpcore/plugin/stages/api.py", line 43, in __call__
          await self.run()
        File "/usr/local/lib/pulp/src/pulp-ansible/pulp_ansible/app/tasks/collections.py", line 288, in run
          async for metadata in self._fetch_collections():
        File "/usr/local/lib/pulp/src/pulp-ansible/pulp_ansible/app/tasks/collections.py", line 359, in _fetch_collections
          api_version = get_api_version(remote.url)
        File "/usr/local/lib/pulp/src/pulp-ansible/pulp_ansible/app/tasks/utils.py", line 17, in get_api_version
          raise RuntimeError(f"Could not determine API version for: {url}")
    description: 'Could not determine API version for: https://centos7-katello-devel-stable.example.com/pulp_ansible/galaxy/Default_Organization/Library/custom/test/test-ansible/api/v2'

Pulpcore status:

{
  "versions": [
    {
      "component": "pulpcore",
      "version": "3.7.1"
    },
    {
      "component": "pulp_2to3_migration",
      "version": "0.6.0.dev0"
    },
    {
      "component": "pulp_file",
      "version": "1.4.0.dev0"
    },
    {
      "component": "pulp_container",
      "version": "2.1.0"
    },
    {
      "component": "pulp_ansible",
      "version": "0.4.1"
    },
    {
      "component": "pulp_certguard",
      "version": "1.1.0.dev0"
    },
    {
      "component": "pulp_rpm",
      "version": "3.7.0"
    }
  ],
  "online_workers": [
    {
      "pulp_created": "2020-10-14T14:49:24.183306Z",
      "pulp_href": "/pulp/api/v3/workers/b7a95142-a74d-401c-9820-035752e437d8/",
      "name": "27777@centos7-proxy-devel.jjeffers.example.com",
      "last_heartbeat": "2020-10-14T19:18:36.800314Z"
    },
    {
      "pulp_created": "2020-10-13T15:43:49.201626Z",
      "pulp_href": "/pulp/api/v3/workers/edbacdf4-3efd-4f2d-9b07-4020584e82ae/",
      "name": "resource-manager",
      "last_heartbeat": "2020-10-14T19:18:40.415204Z"
    },
    {
      "pulp_created": "2020-10-14T14:49:21.502319Z",
      "pulp_href": "/pulp/api/v3/workers/40a6895f-0ac0-496b-b565-ab0e0a8b2c39/",
      "name": "27531@centos7-proxy-devel.jjeffers.example.com",
      "last_heartbeat": "2020-10-14T19:18:40.716045Z"
    }
  ],
  "online_content_apps": [
    {
      "name": "28121@centos7-proxy-devel.jjeffers.example.com",
      "last_heartbeat": "2020-10-14T19:18:47.761753Z"
    },
    {
      "name": "28101@centos7-proxy-devel.jjeffers.example.com",
      "last_heartbeat": "2020-10-14T19:18:47.772170Z"
    }
  ],
  "database_connection": {
    "connected": true
  },
  "redis_connection": {
    "connected": true
  },
  "storage": {
    "total": 42927656960,
    "used": 6266265600,
    "free": 36661391360
  }
}

History

#1 Updated by pulpbot 6 days ago

  • Status changed from NEW to POST

#2 Updated by ttereshc 44 minutes ago

  • Project changed from Pulp to Ansible Plugin

Please register to edit this issue

Also available in: Atom PDF